models/mapobjects/br_blackhawk/rotor1
{
	surfaceparm trans
	{
		map models/mapobjects/br_blackhawk/rotor1.tga
		blendfunc blend
		tcMod rotate 100
	}
	{
		map models/mapobjects/br_blackhawk/rotor1.tga
		blendfunc blend
		tcMod rotate 210
	}
}

models/mapobjects/br_blackhawk/rotor2
{
	surfaceparm trans
	{
		map models/mapobjects/br_blackhawk/rotor2.tga
		blendfunc blend
		tcMod rotate 110
	}
	{
		map models/mapobjects/br_blackhawk/rotor2.tga
		blendfunc blend
		tcMod rotate 230
	}
}

textures/killen/castellosky
{
	qer_editorimage textures/killen/castellosky.tga
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm nomarks
	surfaceparm sky
	q3map_surfacelight 220
	q3map_sun 1 1 1 400 90 1024
	skyParms env/castello/castello 128 -
}

textures/killen/buzzfence1
{
	surfaceparm alphashadow
	surfaceparm noimpact
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm playerclip
	surfaceparm trans
	sort banner
	cull disable
	nopicmip
	qer_trans 0.5
	{
		map textures/killen/buzzfence2.tga
		blendfunc gl_zero gl_zero
		rgbGen identity
		depthWrite
		alphaFunc GE128
	}
	{
		map textures/killen/buzzfence1.tga
		blendfunc blend
		rgbGen Vertex
	}
}

//============================================================================
// textures with see-through parts
//============================================================================
textures/killen/stegen1
{
	surfaceparm alphashadow
	surfaceparm noimpact
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm playerclip
	surfaceparm trans
	cull disable
	nopicmip
	qer_trans 0.5
	{
		map textures/killen/stegen1.tga
		rgbGen identity
		depthWrite
		alphaFunc GE128
	}
	{
		map $lightmap 
		blendfunc filter
		rgbGen identity
		tcGen lightmap 
		depthFunc equal
	}
}

textures/killen/sw_glass_clear
{
	qer_editorimage textures/killen/tinfx.tga
	surfaceparm nolightmap
	surfaceparm trans
	qer_trans 0.5
	{
		map textures/killen/tinfx.tga
		blendfunc add
		tcGen environment 
	}
}

textures/killen/mirror1
{
	qer_editorimage textures/killen/mirror1.tga
	surfaceparm nolightmap
	portal
	{
		map textures/common/mirror1.tga
		blendfunc gl_one gl_one_minus_src_alpha
		depthWrite
	}
}

textures/killen/ladderclip
{
	surfaceparm nodraw
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm playerclip
	surfaceparm ladder
	qer_trans 0.4
}

textures/killen/galvfence
{
	surfaceparm noimpact
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm playerclip
	surfaceparm trans
	cull disable
	nopicmip
	{
		map textures/killen/galvfence.tga
		rgbGen identity
		tcMod scale 3 3
		depthWrite
		alphaFunc GE128
	}
	{
		map $lightmap 
		blendfunc filter
		rgbGen identity
		tcGen lightmap 
		depthFunc equal
	}
}

//	Flourescent Lights
//	=============

textures/killen/Flourescent_100
{
	qer_trans 0.70
	qer_nocarve
	qer_editorimage textures/killen/lightflo.tga
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm nolightmap

	skyparms - - -
	

	q3map_surfacelight 100
	q3map_lightimage textures/killen/flouresc.tga
}


textures/killen/Flourescent_200
{
	qer_trans 0.70
	qer_nocarve
	qer_editorimage textures/killen/lightflo.tga
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm nolightmap

	skyparms - - -
	

	q3map_surfacelight 200
	q3map_lightimage textures/killen/flouresc.tga
}

textures/killen/Flourescent_350
{
	qer_trans 0.70
	qer_nocarve
	qer_editorimage textures/killen/lightflo.tga
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm nolightmap

	skyparms - - -
	

	q3map_surfacelight 350
	q3map_lightimage textures/killen/flouresc.tga
}


textures/killen/Flourescent_500
{
	qer_trans 0.70
	qer_nocarve
	qer_editorimage textures/killen/lightflo.tga
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm nolightmap

	skyparms - - -
	

	q3map_surfacelight 500
	q3map_lightimage textures/killen/flouresc.tga
}


textures/killen/Flourescent_750
{
	qer_trans 0.70
	qer_nocarve
	qer_editorimage textures/killen/lightflo.tga
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm nolightmap

	skyparms - - -
	

	q3map_surfacelight 750
	q3map_lightimage textures/killen/flouresc.tga
}

textures/killen/Flourescent_1k
{
	qer_trans 0.70
	qer_nocarve
	qer_editorimage textures/killen/lightflo.tga
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm nolightmap

	skyparms - - -
	

	q3map_surfacelight 1000
	q3map_lightimage textures/killen/flouresc.tga
}

